| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# glossdef

$Revision: 1.3 $

$Date: 2002/06/12 11:18:11 $

glossdef — A definition in a `GlossEntry`

## Synopsis

### Content Model

    glossdef ::=
    ((calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
      simplelist|variablelist|literallayout|programlisting|
      programlistingco|screen|screenco|screenshot|synopsis|
      cmdsynopsis|funcsynopsis|classsynopsis|fieldsynopsis|
      constructorsynopsis|destructorsynopsis|methodsynopsis|
      formalpara|para|simpara|address|blockquote|graphic|graphicco|
      mediaobject|mediaobjectco|informalequation|informalexample|
      informalfigure|informaltable|equation|example|figure|table|
      remark|indexterm|beginpage)+,
     glossseealso*)

### Attributes

Common attributes

Name | Type | Default
subject | CDATA | None

## Description

A `GlossDef` contains the description or definition of a `GlossTerm`.

### Processing expectations

Formatted as a displayed block.

### Future Changes

The `Subject` attribute will be renamed `Keywords` in DocBook V4.0.

### Parents

These elements contain glossdef: `glossentry`.

### Children

The following elements occur in glossdef: `address`, `beginpage`, `blockquote`, `calloutlist`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `glossseealso`, `graphic`, `graphicco`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `orderedlist`, `para`, `programlisting`, `programlistingco`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `simpara`, `simplelist`, `synopsis`, `table`, `variablelist`.

## Attributes

subject

  `Subject` holds a list of keywords for the `GlossDef`'s definition.

## See Also

`glosssee`, `glossseealso`.

## Examples

For examples, see `glossary`, `glosslist`.

glossaryinfo |  | glossdiv

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.